package com.steerinfo.baseinfo.meterbasetermtarecar.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasetermtarecar.model.MeterBaseTermTareCar;
import com.steerinfo.pretrack.pretrackscale.model.PreTrackScale;

import java.util.List;

/**
 * MeterBaseTermTareCar服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-20 10:43
 * 类描述
 * 修订历史：
 * 日期：2020-06-20
 * 作者：generator
 * 参考：
 * 描述：MeterBaseTermTareCar服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseTermTareCarService extends IBaseService<MeterBaseTermTareCar, String>{
     String checkandadd(MeterBaseTermTareCar model);

     String Recovery(List<MeterBaseTermTareCar> models);

     String checkandupdate(String id,MeterBaseTermTareCar model);

     String abolish(List<MeterBaseTermTareCar> models);

     String checkandaddlist(List<MeterBaseTermTareCar> models);

     List<MeterBaseTermTareCar> doValidTareWf(PreTrackScale model) throws Exception;
}